Bug 146722 - ATI - fglrx - BadAlloc (insufficient resources for operation) when playing a HD film
ATI - fglrx - BadAlloc (insufficient resources for operation) when playing a ...
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-31 19:13 EST by Gabriel Labelle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 00:09:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
My xorg.conf file (19.71 KB, text/plain)
2005-01-31 19:16 EST, Gabriel Labelle
no flags Details

  None (edit)
Description Gabriel Labelle 2005-01-31 19:13:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I've downloaded and installed latest ATI drivers from

Everything is fine when playing multimedia files (DVD, divx, mp3,
etc.) but when I try to play some High Definition films using totem or
mplayer from I get the following errors.

totem :

External func OLEAUT32.dll:8
DMO dll supports VO Optimizations 0 1
DMO dll might use previous sample when requested
GetOutput r=0x0   size:2764800  align:1
StreamCount r=0x0  1  1
Decoder supports the following YUV formats: YV12 YUY2 UYVY YVYU   
Decoder is capable of YUV output (flags 0x1b)
External func OLEAUT32.dll:7
External func OLEAUT32.dll:8
GetOutput r=0x0   size:24576  align:1
StreamCount r=0x0  1  1
The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 81 error_code 11 request_code 139 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()

mplayer :

Building audio filter chain for 48000Hz/2ch/16bit ->
Starting playback...
X11 error: BadAlloc (insufficient resources for operation)?,?% 0 0

MPlayer interrupted by signal 6 in module: vo_check_events
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We
can't and
  won't help unless you provide this information when reporting a
possible bug.
alsa-uninit: pcm closed

***Note that I only get these errors when using the fglrx driver.
Everything works fine when using the vesa or radeon driver.

You can get some HD films at
http://www.hd-channel.com/index.html?/programme.html in order to
reproduce the errors.

Many thanks for your time and help.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install/Configure latest ATI drivers (fglrx_6_8_0-8.8.25-1.i386.rpm);
2.Use the fglrx driver instead of vesa or radeon;
3.Try to play a HD movie.

Actual Results:  BadAlloc (insufficient resources for operation)

Expected Results:  Play High Definition movies without any problems :)

Additional info:
Comment 1 Gabriel Labelle 2005-01-31 19:16:40 EST
Created attachment 110470 [details]
My xorg.conf file
Comment 2 Mike A. Harris 2005-02-01 00:09:26 EST
> ***Note that I only get these errors when using the fglrx driver.
> Everything works fine when using the vesa or radeon driver.

Then it's obviously a bug/problem in the unsupported proprietary
ATI fglrx driver.  You will need to file a bug report with ATI, or
contact ATI technical support.  We only support the radeon and
vesa driver's which are shipped with the OS.

Closing bug "NOTABUG".

Note You need to log in before you can comment on or make changes to this bug.